Subject: [PATCH v5] gpio: pcf857x: Add OF support

From: [email-masked] (Laurent Pinchart)
Date: Fri, 30 Aug 2013 01:44:50 +0200

Hi Linus,

On Thursday 29 August 2013 20:24:32 Linus Walleij wrote:
> On Wed, Aug 28, 2013 at 1:58 PM, Laurent Pinchart wrote:
> > On Tuesday 27 August 2013 19:18:55 Wolfram Sang wrote:
> >> > The driver should support the same chip models reardless of whether
> >> > it's used with or without DT. If an entry in the OF table has no
> >> > corresponding entry in the I2C table I would consider that as a driver
> >> > bug.
> >> 
> >> Linus Walleij posted a patch to support DT only probing, but too many
> >> side-effects showed up. Some were fixable (probe regressions) and some
> >> need more work, if feasible at all. Most prominent is that runtime
> >> instantiation of i2c slaves currently needs an entry in the i2c table.
> > 
> > Linus, I'd like to get this in v3.12 if it's not too late. Could you
> > please provide your input ?
> 
> Provided some input on the v4 version,

Do you mean v4 of this patch ? I can't find your reply.

> due to being a bit overloaded my patch queue is overloaded...

No worries. We can delay this one until v3.13.

-- 
Regards,

Laurent Pinchart